unit uIEditorFacturaProveedor;

interface

uses
  uEditorDBItem, uBizFacturasProveedor, uFacturasProveedorController;

type
  IEditorFacturaProveedor = interface(IEditorDBItem)
  ['{D95EDF71-36DA-4F49-8AD4-7EA013B96079}']
    function GetController : IFacturasProveedorController;
    procedure SetController (const Value : IFacturasProveedorController);
    property Controller : IFacturasProveedorController read GetController
      write SetController;

    function GetFactura: IBizFacturaProveedor;
    procedure SetFactura(const Value: IBizFacturaProveedor);
    property Factura: IBizFacturaProveedor read GetFactura write SetFactura;
  end;

implementation

end.
